import { ChevronDown } from '../../icons';
import { AccordionVariant } from './types';
export declare const CollapsableContainer: import('styled-components').StyledComponent<"div", any, {
    isCollapsed: boolean;
}, never>;
export declare const AccordionContent: import('styled-components').StyledComponent<"div", any, {
    isCollapsed: boolean;
}, never>;
export declare const AccordionChevron: import('styled-components').StyledComponent<typeof ChevronDown, any, {}, never>;
export declare const AccordionHeader: import('styled-components').StyledComponent<"button", any, {
    isCollapsed: boolean;
}, never>;
export declare const AccordionHeaderPrimaryRow: import('styled-components').StyledComponent<"div", any, {}, never>;
export declare const AccordionHeaderTitle: import('styled-components').StyledComponent<"span", any, {
    variant: AccordionVariant;
}, never>;
export declare const AccordionHeaderSecondaryRow: import('styled-components').StyledComponent<"div", any, {}, never>;
export declare const AccordionWrapper: import('styled-components').StyledComponent<"div", any, {
    hasDivider?: boolean | undefined;
}, never>;
